%global __ocaml_requires_opts -i Asttypes -i Parsetree

Summary:        Objective CAML package manager and build helper
Name:           ocaml-findlib
Version: 1.9.6
Release: 5%{?dist}
License:        MIT

URL:            http://projects.camlcity.org/projects/findlib.html
Source0:        http://download.camlcity.org/download/findlib-%{version}.tar.gz

Patch3000:      %{name}-toolbox.patch

BuildRequires: gawk make
BuildRequires: ocaml-compiler-libs ocaml-ocamldoc m4, ncurses-devel
BuildRequires: ocaml >= 4.02.0 ocaml-labltk-devel ocaml-ocamlbuild-devel

Requires:       ocaml


%description
Objective CAML package manager and build helper.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n findlib-%{version}

# fix debugsource file empty	
sed -i 's,/usr/local/man,%{_mandir},' configure
sed -i 's/\${dynlink_subdir}/dynlink/' configure
sed -i 's/\(custom=\)-custom/\1-output-complete-exe/' configure
sed -i '/^ocamlopt -g/d' configure 

%build
(cd tools/extract_args && make)
tools/extract_args/extract_args -o src/findlib/ocaml_args.ml ocamlc ocamlcp ocamlmktop ocamlopt ocamldep ocamldoc ||:
cat src/findlib/ocaml_args.ml
./configure -config %{_sysconfdir}/ocamlfind.conf \
  -bindir %{_bindir} \
  -sitelib `ocamlc -where` \
  -mandir %{_mandir} \
  -with-toolbox
%make_build all
%make_build opt
rm doc/guide-html/TIMESTAMP


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man{1,5}
make install \
     prefix=%{buildroot} \
     OCAMLFIND_BIN=%{_bindir} \
     OCAMLFIND_MAN=%{_mandir}

%ocaml_files
sed -i '/ocamlfind\.conf/d' .ofiles

%files -f .ofiles
%license LICENSE
%doc doc/README
%config(noreplace) %{_sysconfdir}/ocamlfind.conf

%files devel -f .ofiles-devel
%license LICENSE
%doc doc/README doc/guide-html


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.6-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.6-4
- Rebuilt for loongarch release

* Thu Jun 20 2024 Rebuild Robot <rebot@opencloudos.org> - 1.9.6-3
- [Type] other
- [DESC] Rebuilt for ocaml

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.6-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 08 2023 cunshunxia <cunshunxia@tencent.com> - 1.9.6-1
- upgrade to 1.9.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.2-3
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 28 2023 cunshunxia <cunshunxia@tencent.com> - 1.9.2-2
- remove unused macros.

* Mon Mar 20 2023 cunshunxia <cunshunxia@tencent.com> - 1.9.2-1
- initial build
